diff -Nurd amarok-2.2.2/src/aboutdialog/libattica-ocsclient/knowledgebase.cpp amarok-2.2.2-new/src/aboutdialog/libattica-ocsclient/knowledgebase.cpp
--- amarok-2.2.2/src/aboutdialog/libattica-ocsclient/knowledgebase.cpp	2010-01-06 17:19:46.000000000 -0500
+++ amarok-2.2.2-new/src/aboutdialog/libattica-ocsclient/knowledgebase.cpp	2012-05-19 15:14:38.000000000 -0400
@@ -25,7 +25,7 @@
 using namespace AmarokAttica;
 
 KnowledgeBase::KnowledgeBase()
-    : m_id(0),
+    : m_id(),
       m_contentId(0),
       m_comments(0)
 {
diff -Nurd amarok-2.2.2/src/collection/mysqlecollection/CMakeLists.txt amarok-2.2.2-new/src/collection/mysqlecollection/CMakeLists.txt
--- amarok-2.2.2/src/collection/mysqlecollection/CMakeLists.txt	2010-01-06 17:19:46.000000000 -0500
+++ amarok-2.2.2-new/src/collection/mysqlecollection/CMakeLists.txt	2010-02-11 09:51:07.000000000 -0500
@@ -12,6 +12,7 @@
         ${CMAKE_CURRENT_BINARY_DIR}/../..
         ${KDE4_INCLUDE_DIR}
         ${STRIGI_INCLUDE_DIR}
+        ${STRIGI_GUI_INCLUDE_DIR}
         ${QT_INCLUDES}
 	${OPENSSL_INCLUDE_DIR}
         ${MYSQL_INCLUDE_DIR}
diff -Nurd amarok-2.2.2/src/collection/mysqlservercollection/CMakeLists.txt amarok-2.2.2-new/src/collection/mysqlservercollection/CMakeLists.txt
--- amarok-2.2.2/src/collection/mysqlservercollection/CMakeLists.txt	2010-01-06 17:19:46.000000000 -0500
+++ amarok-2.2.2-new/src/collection/mysqlservercollection/CMakeLists.txt	2010-02-11 09:51:11.000000000 -0500
@@ -12,6 +12,7 @@
         ${CMAKE_CURRENT_BINARY_DIR}/../..
         ${KDE4_INCLUDE_DIR}
         ${STRIGI_INCLUDE_DIR}
+        ${STRIGI_GUI_INCLUDE_DIR}
         ${QT_INCLUDES}
 	${OPENSSL_INCLUDE_DIR}
         ${MYSQL_INCLUDE_DIR}
diff -Nurd amarok-2.2.2/src/context/applets/photos/DragPixmapItem.cpp amarok-2.2.2-new/src/context/applets/photos/DragPixmapItem.cpp
--- amarok-2.2.2/src/context/applets/photos/DragPixmapItem.cpp	2010-01-06 17:19:47.000000000 -0500
+++ amarok-2.2.2-new/src/context/applets/photos/DragPixmapItem.cpp	2012-05-19 17:57:45.000000000 -0400
@@ -34,7 +34,7 @@
 DragPixmapItem::DragPixmapItem( QGraphicsItem* parent )
     : QGraphicsPixmapItem( parent )
     , m_dragPos( QPoint() )
-    , m_url( 0 )
+    , m_url()
 {
     setAcceptDrops( true );
     setCursor( Qt::PointingHandCursor );
diff -Nurd amarok-2.2.2/src/context/widgets/TextScrollingWidget.cpp amarok-2.2.2-new/src/context/widgets/TextScrollingWidget.cpp
--- amarok-2.2.2/src/context/widgets/TextScrollingWidget.cpp	2010-01-06 17:19:47.000000000 -0500
+++ amarok-2.2.2-new/src/context/widgets/TextScrollingWidget.cpp	2012-05-19 15:41:08.000000000 -0400
@@ -35,7 +35,7 @@
 TextScrollingWidget::TextScrollingWidget( QGraphicsItem* parent )
     : QGraphicsTextItem( parent )
     , m_fm( 0 )
-    , m_text( 0 )
+    , m_text()
     , m_delta( 0 )
     , m_currentDelta( 0. )
     , m_animfor( 0 )
diff -Nurd amarok-2.2.2/src/services/ServiceMetaBase.cpp amarok-2.2.2-new/src/services/ServiceMetaBase.cpp
--- amarok-2.2.2/src/services/ServiceMetaBase.cpp	2010-01-06 17:19:47.000000000 -0500
+++ amarok-2.2.2-new/src/services/ServiceMetaBase.cpp	2012-05-19 16:48:40.000000000 -0400
@@ -136,13 +136,13 @@
     , m_id( 0 )
     , m_trackNumber( 0 )
     , m_length( 0 )
-    , m_displayUrl( 0 )
-    , m_playableUrl( 0 )
-    , m_downloadableUrl( 0 )
+    , m_displayUrl()
+    , m_playableUrl()
+    , m_downloadableUrl()
     , m_albumId( 0 )
-    , m_albumName( 0 )
+    , m_albumName()
     , m_artistId( 0 )
-    , m_artistName( 0 )
+    , m_artistName()
     , m_name( name )
 {
 }
@@ -575,7 +575,7 @@
     , BookmarkThisProvider()
     , m_id( 0 )
     , m_name( name )
-    , m_description( 0 )
+    , m_description()
     , m_tracks()
 {
     //nothing to do
@@ -685,7 +685,7 @@
     , m_isCompilation( false )
     , m_albumArtist( 0 )
     , m_artistId( 0 )
-    , m_artistName( 0 )
+    , m_artistName()
 {
     //nothing to do
 }
diff -Nurd amarok-2.2.2/utilities/afttagger/SafeFileSaver.cpp amarok-2.2.2-new/utilities/afttagger/SafeFileSaver.cpp
--- amarok-2.2.2/utilities/afttagger/SafeFileSaver.cpp	2010-01-06 17:19:48.000000000 -0500
+++ amarok-2.2.2-new/utilities/afttagger/SafeFileSaver.cpp	2012-05-19 18:10:31.000000000 -0400
@@ -35,7 +35,7 @@
     : m_origPath( origPath )
     , m_tempSavePath()
     , m_origRenamedSavePath()
-    , m_tempSaveDigest( 0 )
+    , m_tempSaveDigest()
     , m_cleanupNeeded( false )
     , m_verbose( false )
     , m_prefix( "safefilesaver" )