diff -Nurd baghira-0.8/config/generatePixmaps.sh baghira-0.8-new/config/generatePixmaps.sh
--- baghira-0.8/config/generatePixmaps.sh	2006-03-02 07:40:40.000000000 -0500
+++ baghira-0.8-new/config/generatePixmaps.sh	2009-07-03 16:00:58.000000000 -0400
@@ -2,12 +2,12 @@
 top_srcdir="${1:-../..}"
 imagebase="$top_srcdir/imagebase"
 UIC=$(grep "UIC = " ../Makefile | cut -f3- -d" ")
-echo -e "#ifndef SCPIXMAPS_H\n#define SCPIXMAPS_H\n" > pixmaps.h
+echo "#ifndef SCPIXMAPS_H\n#define SCPIXMAPS_H\n" > pixmaps.h
 $UIC -embed baghira \
 $imagebase/button-base \
 $imagebase/button-shadow \
 $imagebase/brush-me | \
 sed -e "s/void qInitImages_baghira()$/static void qInitImages_baghira()/" -e "s/void qCleanupImages_baghira()$/static void qCleanupImages_baghira()/ ">> pixmaps.h
-echo -e "#endif //SCPIXMAPS_H\n" >> pixmaps.h
+echo "#endif //SCPIXMAPS_H\n" >> pixmaps.h
 
 #$imagebase/AboutBaghira \
diff -Nurd baghira-0.8/deco/Makefile.am baghira-0.8-new/deco/Makefile.am
--- baghira-0.8/deco/Makefile.am	2005-09-29 15:16:12.000000000 -0400
+++ baghira-0.8-new/deco/Makefile.am	2010-11-07 00:27:34.000000000 -0400
@@ -15,8 +15,8 @@
 
 kde_module_LTLIBRARIES = kwin3_baghira.la
 kwin3_baghira_la_SOURCES = baghiraclient.cc
-kwin3_baghira_la_LIBADD = $(kde_libraries)/libkdecorations.la
-kwin3_baghira_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -lkdecore -module
+kwin3_baghira_la_LIBADD = $(kde_libraries)/libkdecorations.la -lkdefx
+kwin3_baghira_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 kwin3_baghira_la_METASOURCES = AUTO
 
 DISTCLEANFILES = $(kwin3_baghira_la_METASOURCES)
diff -Nurd baghira-0.8/deco/config/generatePixmaps.sh baghira-0.8-new/deco/config/generatePixmaps.sh
--- baghira-0.8/deco/config/generatePixmaps.sh	2005-09-29 15:16:13.000000000 -0400
+++ baghira-0.8-new/deco/config/generatePixmaps.sh	2009-07-03 16:08:59.000000000 -0400
@@ -2,9 +2,9 @@
 top_srcdir="${1:-../..}"
 imagebase="$top_srcdir/imagebase"
 UIC=$(grep "UIC = " ../../Makefile | cut -f3- -d" ")
-echo -e "#ifndef DCPIXMAPS_H\n#define DCPIXMAPS_H\n" > pixmaps.h
+echo "#ifndef DCPIXMAPS_H\n#define DCPIXMAPS_H\n" > pixmaps.h
 $UIC -embed baghira \
 $imagebase/icon_help \
 $imagebase/preview \
 $imagebase/preview-menu >> pixmaps.h
-echo -e "#endif //DCPIXMAPS_H\n" >> pixmaps.h
+echo "#endif //DCPIXMAPS_H\n" >> pixmaps.h
diff -Nurd baghira-0.8/deco/generatePixmaps.sh baghira-0.8-new/deco/generatePixmaps.sh
--- baghira-0.8/deco/generatePixmaps.sh	2005-09-29 15:16:12.000000000 -0400
+++ baghira-0.8-new/deco/generatePixmaps.sh	2009-07-03 16:04:02.000000000 -0400
@@ -2,7 +2,7 @@
 top_srcdir="${1:-../..}"
 imagebase="$top_srcdir/imagebase"
 UIC=$(grep "UIC = " ../Makefile | cut -f3- -d" ")
-echo -e "#ifndef DPIXMAPS_H\n#define DPIXMAPS_H\n" > pixmaps.h
+echo "#ifndef DPIXMAPS_H\n#define DPIXMAPS_H\n" > pixmaps.h
 $UIC -embed baghira \
 $imagebase/brushed-gradient \
 $imagebase/brushed-tile \
@@ -25,4 +25,4 @@
 $imagebase/icon_minimize \
 $imagebase/icon_shade \
 $imagebase/icon_sticky >> pixmaps.h
-echo -e "#endif //DPIXMAPS_H\n" >> pixmaps.h
+echo "#endif //DPIXMAPS_H\n" >> pixmaps.h
diff -Nurd baghira-0.8/sidebar/Makefile.am baghira-0.8-new/sidebar/Makefile.am
--- baghira-0.8/sidebar/Makefile.am	2005-09-01 20:18:01.000000000 -0400
+++ baghira-0.8-new/sidebar/Makefile.am	2010-11-07 00:31:00.000000000 -0400
@@ -6,8 +6,8 @@
 noinst_HEADERS = baghiralinkdrag.h baghirasidebar.h linkview.h listboxlink.h dndlistbox.h baghirasidebariface.h
 
 konqsidebar_baghirasidebar_la_SOURCES = baghiralinkdrag.cpp baghirasidebar.cpp linkview.cpp listboxlink.cpp dndlistbox.cpp linkconfig.ui baghirasidebariface.skel
-konqsidebar_baghirasidebar_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries) -lkonqsidebarplugin
-konqsidebar_baghirasidebar_la_LIBADD = $(LIB_KPARTS) $(LIB_KFILE)
+konqsidebar_baghirasidebar_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
+konqsidebar_baghirasidebar_la_LIBADD = $(LIB_KPARTS) $(LIB_KFILE) $(LIB_KDEUI) -lkonqsidebarplugin
 
 baghirasidebar_entry_DATA = baghirasidebar.desktop
 baghirasidebar_entrydir = $(kde_datadir)/konqsidebartng/entries
diff -Nurd baghira-0.8/style/generatePixmaps.sh baghira-0.8-new/style/generatePixmaps.sh
--- baghira-0.8/style/generatePixmaps.sh	2005-10-31 06:18:45.000000000 -0500
+++ baghira-0.8-new/style/generatePixmaps.sh	2009-07-03 16:05:26.000000000 -0400
@@ -2,7 +2,7 @@
 top_srcdir="${1:-../..}"
 imagebase="$top_srcdir/imagebase"
 UIC=$(grep "UIC = " ../Makefile | cut -f3- -d" ")
-echo -e "#ifndef SPIXMAPS_H\n#define SPIXMAPS_H\n" > pixmaps.h
+echo "#ifndef SPIXMAPS_H\n#define SPIXMAPS_H\n" > pixmaps.h
 $UIC -embed baghira \
 $imagebase/brushed-gradient \
 $imagebase/brushed-tile \
@@ -51,4 +51,4 @@
 $imagebase/tab \
 $imagebase/tab-milk \
 $imagebase/tab-jaguar >> pixmaps.h
-echo -e "#endif //SPIXMAPS_H\n" >> pixmaps.h
+echo "#endif //SPIXMAPS_H\n" >> pixmaps.h