diff -uNbwr kdeadmin-3.5.9/configure.in.in kdeadmin-3.5.9-new/configure.in.in
--- kdeadmin-3.5.9/configure.in.in	2005-09-10 04:14:36.000000000 -0400
+++ kdeadmin-3.5.9-new/configure.in.in	2008-02-13 21:56:22.000000000 -0500
@@ -8,3 +8,5 @@
 AC_CHECK_HEADERS(sys/stropts.h stropts.h)
 AC_CHECK_HEADERS(sys/time.h)
 AC_HEADER_TIME
+
+DO_NOT_COMPILE="$DO_NOT_COMPILE kdat ksysv lilo-config kuser knetworkconf"
diff -Nurd kdeadmin-3.5.10/kcron/Makefile.am kdeadmin-3.5.10-new/kcron/Makefile.am
--- kdeadmin-3.5.10/kcron/Makefile.am	2005-09-10 04:14:36.000000000 -0400
+++ kdeadmin-3.5.10-new/kcron/Makefile.am	2010-07-25 11:43:33.000000000 -0400
@@ -102,7 +102,7 @@
 messages: rc.cpp
 	$(XGETTEXT) *.cpp -o $(podir)/kcron.pot
 
-kcron_LDADD   = $(LIB_KFILE) -lkdeprint
+kcron_LDADD   = $(LIB_KFILE) -lkdeprint $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 xdg_apps_DATA = kcron.desktop
 
diff -Nurd kdeadmin-3.5.10/kfile-plugins/deb/Makefile.am kdeadmin-3.5.10-new/kfile-plugins/deb/Makefile.am
--- kdeadmin-3.5.10/kfile-plugins/deb/Makefile.am	2005-09-10 04:14:31.000000000 -0400
+++ kdeadmin-3.5.10-new/kfile-plugins/deb/Makefile.am	2010-07-25 11:40:43.000000000 -0400
@@ -10,7 +10,7 @@
 
 kfile_deb_la_SOURCES = kfile_deb.cpp
 kfile_deb_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_deb_la_LIBADD = $(LIB_KSYCOCA)
+kfile_deb_la_LIBADD = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdeadmin-3.5.10/kfile-plugins/rpm/Makefile.am kdeadmin-3.5.10-new/kfile-plugins/rpm/Makefile.am
--- kdeadmin-3.5.10/kfile-plugins/rpm/Makefile.am	2005-09-10 04:14:31.000000000 -0400
+++ kdeadmin-3.5.10-new/kfile-plugins/rpm/Makefile.am	2010-07-25 11:40:00.000000000 -0400
@@ -10,7 +10,7 @@
 
 kfile_rpm_la_SOURCES = kfile_rpm.cpp
 kfile_rpm_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_rpm_la_LIBADD = $(LIB_KSYCOCA)
+kfile_rpm_la_LIBADD = $(LIB_KSYCOCA) $(LIB_KDECORE) $(LIB_QT)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdeadmin-3.5.10/kpackage/Makefile.am kdeadmin-3.5.10-new/kpackage/Makefile.am
--- kdeadmin-3.5.10/kpackage/Makefile.am	2005-09-10 04:14:31.000000000 -0400
+++ kdeadmin-3.5.10-new/kpackage/Makefile.am	2010-07-25 11:39:09.000000000 -0400
@@ -24,7 +24,7 @@
 
 # the libraries to link against. Be aware of the order. First the libraries,
 # that depend on the following ones.
-kpackage_LDADD   =  $(LIB_KFILE) $(LIBINTL) $(LIBZ)  $(LIBUTEMPTER)
+kpackage_LDADD   =  $(LIB_KFILE) $(LIBINTL) $(LIBZ)  $(LIBUTEMPTER) $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE)
 
 INCLUDES = $(all_includes)
 
diff -uNbwr kdeadmin-3.5.9/kpackage/debAptInterface.cpp kdeadmin-3.5.9-new/kpackage/debAptInterface.cpp
--- kdeadmin-3.5.9/kpackage/debAptInterface.cpp	2006-10-01 13:22:11.000000000 -0400
+++ kdeadmin-3.5.9-new/kpackage/debAptInterface.cpp	2008-02-13 21:56:22.000000000 -0500
@@ -493,7 +493,7 @@
 QStringList DEBAPT::readAptF()
 {
   QStringList lines;
-  QFile file( "/etc/apt/sources.list" );
+  QFile file( "@PREFIX@/etc/apt/sources.list" );
   if ( file.open( IO_ReadOnly ) ) {
     QTextStream stream( &file );
     QString line;
@@ -521,8 +521,8 @@
     cmd += s;
     cmd += "\n";
   }
-  cmd += "' > /etc/apt/sources.list.n; if [ $? = 0 ]; then ";
-  cmd += "mv /etc/apt/sources.list /etc/apt/sources.list.b; mv /etc/apt/sources.list.n /etc/apt/sources.list; fi\" ";
+  cmd += "' > @PREFIX@/etc/apt/sources.list.n; if [ $? = 0 ]; then ";
+  cmd += "mv @PREFIX@/etc/apt/sources.list @PREFIX@/etc/apt/sources.list.b; mv @PREFIX@/etc/apt/sources.list.n @PREFIX@/etc/apt/sources.list; fi\" ";
   
 
  QStringList rlist =  kpty->run(cmd,TRUE,TRUE);
diff -uNbwr kdeadmin-3.5.9/kpackage/debAptInterface.h kdeadmin-3.5.9-new/kpackage/debAptInterface.h
--- kdeadmin-3.5.9/kpackage/debAptInterface.h	2005-10-10 10:53:28.000000000 -0400
+++ kdeadmin-3.5.9-new/kpackage/debAptInterface.h	2008-02-13 21:56:22.000000000 -0500
@@ -33,7 +33,7 @@
 
 #include "debInterface.h"
 
-#define APT_SOURCE "/etc/apt/sources.list"
+#define APT_SOURCE "@PREFIX@/etc/apt/sources.list"
 
 class DEBAPT: public DEB
 {
diff -uNbwr kdeadmin-3.5.9/kpackage/debInterface.cpp kdeadmin-3.5.9-new/kpackage/debInterface.cpp
--- kdeadmin-3.5.9/kpackage/debInterface.cpp	2006-10-01 13:22:11.000000000 -0400
+++ kdeadmin-3.5.9-new/kpackage/debInterface.cpp	2008-02-13 21:56:22.000000000 -0500
@@ -408,7 +408,7 @@
   QStringList ret;
   QString name = p->getProperty("name");
 
-  from = "zcat /usr/share/doc/";
+  from = "zcat @PREFIX@/share/doc/";
   from += name;
   from += "/changelog.Debian.gz";
 
@@ -417,7 +417,7 @@
   if (!kpty->Result)
     return ret;
   else {
-    from = "zcat /usr/share/doc/";
+    from = "zcat @PREFIX@/share/doc/";
     from += name;
     from += "/changelog.gz";
 
diff -uNbwr kdeadmin-3.5.9/kpackage/debInterface.h kdeadmin-3.5.9-new/kpackage/debInterface.h
--- kdeadmin-3.5.9/kpackage/debInterface.h	2005-10-10 10:53:28.000000000 -0400
+++ kdeadmin-3.5.9-new/kpackage/debInterface.h	2008-02-13 21:56:22.000000000 -0500
@@ -45,10 +45,10 @@
 class updateLoc;
 class cacheObj;
 
-#define AVAIL          "/var/lib/dpkg/available"
-#define STATUS          "/var/lib/dpkg/status"
+#define AVAIL          "@PREFIX@/var/lib/dpkg/available"
+#define STATUS          "@PREFIX@/var/lib/dpkg/status"
 
-#define INFODIR         "/var/lib/dpkg/info/"
+#define INFODIR         "@PREFIX@/var/lib/dpkg/info/"
 
 
 class DEB: public pkgInterface
diff -Nurd kdeadmin-3.5.10/secpolicy/Makefile.am kdeadmin-3.5.10-new/secpolicy/Makefile.am
--- kdeadmin-3.5.10/secpolicy/Makefile.am	2005-09-10 04:14:29.000000000 -0400
+++ kdeadmin-3.5.10-new/secpolicy/Makefile.am	2010-07-25 11:37:42.000000000 -0400
@@ -3,7 +3,7 @@
 
 bin_PROGRAMS = secpolicy
 secpolicy_SOURCES = main.cpp secpolicywin.cpp pamview.cpp ppitem.cpp
-secpolicy_LDADD = $(LIB_KIO)
+secpolicy_LDADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE)
 secpolicy_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
 noinst_HEADERS = secpolicywin.h pamview.h ppitem.h