diff -Nurd kdeartwork-3.5.10/kscreensaver/kxsconfig/Makefile.am kdeartwork-3.5.10-new/kscreensaver/kxsconfig/Makefile.am
--- kdeartwork-3.5.10/kscreensaver/kxsconfig/Makefile.am	2005-09-10 04:14:49.000000000 -0400
+++ kdeartwork-3.5.10-new/kscreensaver/kxsconfig/Makefile.am	2010-07-24 16:45:19.000000000 -0400
@@ -2,7 +2,7 @@
 
 INCLUDES = $(all_includes)
 kxsconfig_LDFLAGS  = $(KDE_RPATH) $(all_libraries) 
-kxsconfig_LDADD    = $(LIB_KIO) -lXt
+kxsconfig_LDADD    = $(LIB_KIO) -lXt $(LIB_KDEUI)
 
 kxsrun_LDFLAGS  = $(KDE_RPATH) $(all_libraries) 
 kxsrun_LDADD    = $(LIB_KIO)
diff -Nurd kdeartwork-3.5.10/kwin-styles/glow/Makefile.am kdeartwork-3.5.10-new/kwin-styles/glow/Makefile.am
--- kdeartwork-3.5.10/kwin-styles/glow/Makefile.am	2005-09-10 04:14:44.000000000 -0400
+++ kdeartwork-3.5.10-new/kwin-styles/glow/Makefile.am	2010-07-24 16:30:11.000000000 -0400
@@ -7,7 +7,7 @@
 
 kwin3_glow_la_SOURCES = glowclient.cpp glowbutton.cpp
 kwin3_glow_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kwin3_glow_la_LIBADD  = $(LIB_KDECORE) -lkdecorations
+kwin3_glow_la_LIBADD  = $(LIB_KDECORE) -lkdecorations -lkdefx
 
 METASOURCES = AUTO
 noinst_HEADERS = glowclient.h glowbutton.h resources.h
diff -Nurd kdeartwork-3.5.10/kwin-styles/glow/config/Makefile.am kdeartwork-3.5.10-new/kwin-styles/glow/config/Makefile.am
--- kdeartwork-3.5.10/kwin-styles/glow/config/Makefile.am	2005-09-10 04:14:44.000000000 -0400
+++ kdeartwork-3.5.10-new/kwin-styles/glow/config/Makefile.am	2010-07-24 16:40:00.000000000 -0400
@@ -4,7 +4,7 @@
 
 kwin_glow_config_la_SOURCES = glowconfigdialog.cpp
 kwin_glow_config_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kwin_glow_config_la_LIBADD = $(LIB_KDEUI)
+kwin_glow_config_la_LIBADD = $(LIB_KDEUI) -lkdefx
 
 METASOURCES = AUTO
 noinst_HEADERS = glowconfigdialog.h
diff -Nurd kdeartwork-3.5.10/kwin-styles/kde1/Makefile.am kdeartwork-3.5.10-new/kwin-styles/kde1/Makefile.am
--- kdeartwork-3.5.10/kwin-styles/kde1/Makefile.am	2005-09-10 04:14:43.000000000 -0400
+++ kdeartwork-3.5.10-new/kwin-styles/kde1/Makefile.am	2010-07-24 16:31:29.000000000 -0400
@@ -5,7 +5,7 @@
 
 kwin3_kde1_la_SOURCES = kde1client.cpp
 kwin3_kde1_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kwin3_kde1_la_LIBADD  = -lkdecorations
+kwin3_kde1_la_LIBADD  = -lkdecorations -lkdefx
 
 METASOURCES = AUTO
 noinst_HEADERS = kde1client.h
diff -Nurd kdeartwork-3.5.10/kwin-styles/kstep/Makefile.am kdeartwork-3.5.10-new/kwin-styles/kstep/Makefile.am
--- kdeartwork-3.5.10/kwin-styles/kstep/Makefile.am	2005-09-10 04:14:43.000000000 -0400
+++ kdeartwork-3.5.10-new/kwin-styles/kstep/Makefile.am	2010-07-24 16:31:12.000000000 -0400
@@ -6,7 +6,7 @@
 kwin3_kstep_la_SOURCES = nextclient.cpp
 kwin3_kstep_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 #kwin_kstep_la_LDFLAGS = $(all_libraries) -avoid-version -module $(KDE_RPATH) $(KDE_MT_LDFLAGS)
-kwin3_kstep_la_LIBADD = $(LIB_KDEUI) -lkdecorations
+kwin3_kstep_la_LIBADD = $(LIB_KDEUI) -lkdecorations -lkdefx
 
 METASOURCES = AUTO
 noinst_HEADERS = nextclient.h
diff -Nurd kdeartwork-3.5.10/kwin-styles/smooth-blend/client/Makefile.am kdeartwork-3.5.10-new/kwin-styles/smooth-blend/client/Makefile.am
--- kdeartwork-3.5.10/kwin-styles/smooth-blend/client/Makefile.am	2008-02-13 04:35:59.000000000 -0500
+++ kdeartwork-3.5.10-new/kwin-styles/smooth-blend/client/Makefile.am	2010-07-24 16:32:23.000000000 -0400
@@ -13,7 +13,7 @@
 
 kde_module_LTLIBRARIES = kwin3_smoothblend.la
 kwin3_smoothblend_la_SOURCES = smoothblend.cc
-kwin3_smoothblend_la_LIBADD = -lkdecorations
+kwin3_smoothblend_la_LIBADD = -lkdecorations -lkdefx
 kwin3_smoothblend_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -lkdecore -module
 kwin3_smoothblend_la_METASOURCES = AUTO
 
diff -Nurd kdeartwork-3.5.10/kwin-styles/system/Makefile.am kdeartwork-3.5.10-new/kwin-styles/system/Makefile.am
--- kdeartwork-3.5.10/kwin-styles/system/Makefile.am	2005-09-10 04:14:43.000000000 -0400
+++ kdeartwork-3.5.10-new/kwin-styles/system/Makefile.am	2010-07-24 16:33:24.000000000 -0400
@@ -6,7 +6,7 @@
 kwin3_system_la_SOURCES = systemclient.cpp
 kwin3_system_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 #kwin_system_la_LDFLAGS = $(all_libraries) -avoid-version -module $(KDE_RPATH) $(KDE_MT_LDFLAGS)
-kwin3_system_la_LIBADD = $(LIB_KDEUI) -lkdecorations
+kwin3_system_la_LIBADD = $(LIB_KDEUI) -lkdecorations -lkdefx
 
 METASOURCES = AUTO
 noinst_HEADERS = systemclient.h