diff -Nurd kdeedu-4.3.98/cantor/src/CMakeLists.txt kdeedu-4.3.98-new/cantor/src/CMakeLists.txt
--- kdeedu-4.3.98/cantor/src/CMakeLists.txt	2010-01-19 18:20:08.000000000 -0500
+++ kdeedu-4.3.98-new/cantor/src/CMakeLists.txt	2010-02-01 15:46:19.000000000 -0500
@@ -3,7 +3,10 @@
 #########################################################################
 add_subdirectory(lib)
 
-include_directories( lib ${CMAKE_CURRENT_BINARY_DIR}/lib)
+set(GENERIC_LIB_VERSION "0.0.1")
+set(GENERIC_LIB_SOVERSION "0")
+
+include_directories( lib ${CMAKE_CURRENT_BINARY_DIR}/lib ${LIBATTICA_INCLUDE_DIR} )
 if(LIBSPECTRE_FOUND)
    include_directories(${LIBSPECTRE_INCLUDE_DIR})
 endif(LIBSPECTRE_FOUND)
@@ -16,6 +19,8 @@
 target_link_libraries( cantor_config ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KNEWSTUFF3_LIBS} )
 install( TARGETS cantor_config  ${INSTALL_TARGETS_DEFAULT_ARGS} )
 
+set_target_properties( cantor_config PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
+
 set(cantor_SRCS
    main.cpp
    cantor.cpp
diff -Nurd kdeedu-4.3.98/cantor/src/lib/CMakeLists.txt kdeedu-4.3.98-new/cantor/src/lib/CMakeLists.txt
--- kdeedu-4.3.98/cantor/src/lib/CMakeLists.txt	2009-10-26 05:15:03.000000000 -0400
+++ kdeedu-4.3.98-new/cantor/src/lib/CMakeLists.txt	2010-02-01 14:57:19.000000000 -0500
@@ -1,5 +1,5 @@
 set(GENERIC_LIB_VERSION "0.0.1")
-set(GENERIC_LIB_SOVERSION "1")
+set(GENERIC_LIB_SOVERSION "0")
 
 set( cantor_LIB_SRCS
   session.cpp
@@ -26,6 +26,8 @@
      backend_macros.h
 )
 
+include_directories( ${LIBATTICA_INCLUDE_DIR} )
+
 kde4_add_kcfg_files(cantor_LIB_SRCS settings.kcfgc)
 install(FILES cantor_libs.kcfg DESTINATION ${KCFG_INSTALL_DIR})
 
diff -Nurd kdeedu-4.4.1.orig/cmake/modules/FindBoostPython.cmake kdeedu-4.4.1/cmake/modules/FindBoostPython.cmake
--- kdeedu-4.4.1.orig/cmake/modules/FindBoostPython.cmake	2008-11-04 12:12:46.000000000 -0500
+++ kdeedu-4.4.1/cmake/modules/FindBoostPython.cmake	2012-05-02 11:47:52.000000000 -0400
@@ -13,7 +13,7 @@
 if(BOOST_PYTHON_INCLUDES AND BOOST_PYTHON_LIBS)
     # Already in cache, be silent
 	set(BOOST_PYTHON_FIND_QUIETLY TRUE)
-endif(BOOST_PYTHON_INCLUDES AND BOOST_PYTHON_LIBS)
+else(BOOST_PYTHON_INCLUDES AND BOOST_PYTHON_LIBS)
 
 # some needed includes
 include(CheckCXXSourceCompiles)
@@ -114,6 +114,7 @@
   set(CMAKE_CXX_FLAGS ${_save_CMAKE_CXX_FLAGS})
 
 endif(HAVE_BOOST_SHARED_PTR_HPP)
+endif(BOOST_PYTHON_INCLUDES AND BOOST_PYTHON_LIBS)
 
 if(BOOST_PYTHON_INCLUDES AND BOOST_PYTHON_LIBS)
   set(BOOST_PYTHON_FOUND TRUE)
diff -Nurd kdeedu-4.3.98/marble/src/plugins/positionprovider/gpsd/CMakeLists.txt kdeedu-4.3.98-new/marble/src/plugins/positionprovider/gpsd/CMakeLists.txt
--- kdeedu-4.3.98/marble/src/plugins/positionprovider/gpsd/CMakeLists.txt	2009-05-27 15:53:49.000000000 -0400
+++ kdeedu-4.3.98-new/marble/src/plugins/positionprovider/gpsd/CMakeLists.txt	2010-02-01 14:54:16.000000000 -0500
@@ -5,6 +5,7 @@
  ${CMAKE_BINARY_DIR}/src/plugins/positionprovider/gpsd
  ${QT_INCLUDE_DIR}
  ${libgps_INCLUDE_DIRS}
+ ${libgps_INCLUDEDIR}
 )
 
 include(${QT_USE_FILE})
@@ -15,6 +16,6 @@
  GpsdThread.cpp
 )
 
-set( GpsdPositionProviderPlugin_LIBS ${libgps_LIBRARIES} )
+set( GpsdPositionProviderPlugin_LIBS ${libgps_LIBRARIES} ${libgps_LDFLAGS} )
 
 marble_add_plugin( GpsdPositionProviderPlugin ${gpsd_SRCS} )
diff -Nurd kdeedu-4.4.1/rocs/src/Core/threadScriptExecution.cpp kdeedu-4.4.1-new/rocs/src/Core/threadScriptExecution.cpp
--- kdeedu-4.4.1/rocs/src/Core/threadScriptExecution.cpp	2009-12-31 08:28:39.000000000 -0500
+++ kdeedu-4.4.1-new/rocs/src/Core/threadScriptExecution.cpp	2012-03-29 12:25:20.000000000 -0400
@@ -9,7 +9,7 @@
 
 ThreadScriptExecution::ThreadScriptExecution(KTextBrowser * debugView):
 	 QThread(),
-         _script(0),
+         _script(),
          _graphDocument(0),
          _txtDebug(debugView)
 	{
diff -Nurd kdeedu-4.3.98/step/step/CMakeLists.txt kdeedu-4.3.98-new/step/step/CMakeLists.txt
--- kdeedu-4.3.98/step/step/CMakeLists.txt	2009-03-27 10:46:55.000000000 -0400
+++ kdeedu-4.3.98-new/step/step/CMakeLists.txt	2010-02-01 14:54:16.000000000 -0500
@@ -41,6 +41,7 @@
 
 if(STEPCORE_WITH_GSL)
     add_definitions(-DSTEPCORE_WITH_GSL)
+    include_directories(${GSL_INCLUDE_DIR} ${GSL_INCLUDE_DIR}/..)
 endif(STEPCORE_WITH_GSL)
 
 if(STEP_WITH_QALCULATE)
diff -Nurd kdeedu-4.3.98/step/stepcore/CMakeLists.txt kdeedu-4.3.98-new/step/stepcore/CMakeLists.txt
--- kdeedu-4.3.98/step/stepcore/CMakeLists.txt	2008-04-10 05:30:31.000000000 -0400
+++ kdeedu-4.3.98-new/step/stepcore/CMakeLists.txt	2010-02-01 14:54:16.000000000 -0500
@@ -23,7 +23,7 @@
 
 if(STEPCORE_WITH_GSL)
     add_definitions(-DSTEPCORE_WITH_GSL)
-    include_directories(${GSL_INCLUDE_DIR})
+    include_directories(${GSL_INCLUDE_DIR} ${GSL_INCLUDE_DIR}/..)
     set(stepcore_use_LIBS ${stepcore_use_LIBS} ${GSL_LIBRARIES})
     set(stepcore_SRCS ${stepcore_SRCS} gslsolver.cc)
 endif(STEPCORE_WITH_GSL)