diff -Nurd kdegames-3.5.10/atlantik/kio_atlantik/Makefile.am kdegames-3.5.10-new/atlantik/kio_atlantik/Makefile.am
--- kdegames-3.5.10/atlantik/kio_atlantik/Makefile.am	2005-09-10 04:18:18.000000000 -0400
+++ kdegames-3.5.10-new/atlantik/kio_atlantik/Makefile.am	2010-07-24 20:15:27.000000000 -0400
@@ -4,7 +4,7 @@
 kde_module_LTLIBRARIES = kio_atlantik.la
 
 kio_atlantik_la_SOURCES = kio_atlantik.cpp
-kio_atlantik_la_LIBADD = $(LIB_KIO)
+kio_atlantik_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 kio_atlantik_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 noinst_HEADERS = kio_atlantik.h
 
diff -Nurd kdegames-3.5.10/atlantik/libatlantikclient/Makefile.am kdegames-3.5.10-new/atlantik/libatlantikclient/Makefile.am
--- kdegames-3.5.10/atlantik/libatlantikclient/Makefile.am	2005-09-10 04:18:18.000000000 -0400
+++ kdegames-3.5.10-new/atlantik/libatlantikclient/Makefile.am	2010-07-24 20:03:33.000000000 -0400
@@ -1,7 +1,7 @@
 INCLUDES = -I$(top_srcdir)/atlantik/libatlantic $(all_includes)
 lib_LTLIBRARIES = libatlantikclient.la
 libatlantikclient_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -no-undefined -version-info 3:0:2
-libatlantikclient_la_LIBADD = ../libatlantic/libatlantic.la $(LIB_KIO)
+libatlantikclient_la_LIBADD = ../libatlantic/libatlantic.la $(LIB_KIO) $(LIB_KDECORE)
 
 libatlantikclient_la_SOURCES = atlantik_network.cpp monopdprotocol.cpp
 
diff -Nurd kdegames-3.5.10/atlantik/libatlantikui/Makefile.am kdegames-3.5.10-new/atlantik/libatlantikui/Makefile.am
--- kdegames-3.5.10/atlantik/libatlantikui/Makefile.am	2005-09-10 04:18:18.000000000 -0400
+++ kdegames-3.5.10-new/atlantik/libatlantikui/Makefile.am	2010-07-24 20:05:00.000000000 -0400
@@ -1,7 +1,7 @@
 INCLUDES = -I$(top_srcdir)/atlantik/libatlantic $(all_includes)
 lib_LTLIBRARIES = libatlantikui.la
 libatlantikui_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -no-undefined -version-info 3:0:2
-libatlantikui_la_LIBADD = ../libatlantic/libatlantic.la $(LIB_KIO)
+libatlantikui_la_LIBADD = ../libatlantic/libatlantic.la $(LIB_KIO) $(LIB_KDEUI) $(LIB_KDECORE) -lkdefx
 
 libatlantikui_la_SOURCES = auction_widget.cpp board.cpp estatedetails.cpp \
 	estateview.cpp kwrappedlistviewitem.cpp portfolioestate.cpp \
diff -Nurd kdegames-3.5.10/kbattleship/kbattleship/Makefile.am kdegames-3.5.10-new/kbattleship/kbattleship/Makefile.am
--- kdegames-3.5.10/kbattleship/kbattleship/Makefile.am	2007-10-08 05:48:28.000000000 -0400
+++ kdegames-3.5.10-new/kbattleship/kbattleship/Makefile.am	2010-07-24 20:14:29.000000000 -0400
@@ -13,7 +13,7 @@
 				kstatdialog.cpp	kbdiagonalshotstrategy.cpp \
 	            konnectionhandling.cpp kship.cpp kshiplist.cpp \
 	            kbchooserstrategy.cpp kbattleship.cpp main.cpp
-kbattleship_LDADD = $(LIB_KDEGAMES) ./dialogs/libkbattleshipdialogs.la $(LIB_KFILE) $(LIB_KDNSSD)
+kbattleship_LDADD = $(LIB_KDEGAMES) ./dialogs/libkbattleshipdialogs.la $(LIB_KFILE) $(LIB_KDNSSD) -lDCOP -lkdefx
 kbattleship_COMPILE_FIRST = dialogs/infoDlg.h dialogs/chatDlg.h dialogs/connectDlg.h dialogs/serverDlg.h dialogs/statDlg.h 
 kbattleship_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 kbattleship_DEPENDENCIES = $(LIB_KDEGAMES_DEP)
diff -Nurd kdegames-3.5.10/kgoldrunner/src/Makefile.am kdegames-3.5.10-new/kgoldrunner/src/Makefile.am
--- kdegames-3.5.10/kgoldrunner/src/Makefile.am	2005-09-10 04:18:29.000000000 -0400
+++ kdegames-3.5.10-new/kgoldrunner/src/Makefile.am	2010-07-24 20:13:12.000000000 -0400
@@ -11,7 +11,7 @@
 kgoldrunner_LDFLAGS = $(KDE_RPATH) $(all_libraries)
 
 # the libraries to link against.
-kgoldrunner_LDADD   = $(LIB_KDEGAMES) $(LIB_KFILE) $(LIB_KDEPRINT)
+kgoldrunner_LDADD   = $(LIB_KDEGAMES) $(LIB_KFILE) $(LIB_KDEPRINT) -lDCOP
 kgoldrunner_DEPENDENCIES = $(LIB_KDEGAMES_DEP)
 
 # which sources should be compiled for kgoldrunner
diff -Nurd kdegames-3.5.10/klines/Makefile.am kdegames-3.5.10-new/klines/Makefile.am
--- kdegames-3.5.10/klines/Makefile.am	2005-09-10 04:18:27.000000000 -0400
+++ kdegames-3.5.10-new/klines/Makefile.am	2010-07-24 20:12:41.000000000 -0400
@@ -6,7 +6,7 @@
 klines_SOURCES = prompt.cpp mwidget.cpp linesboard.cpp field.cpp cell.cpp \
                  ballpainter.cpp klines.cpp main.cpp prefs.kcfgc
 klines_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-klines_LDADD = $(LIB_KDEGAMES)
+klines_LDADD = $(LIB_KDEGAMES) -lkdefx
 klines_DEPENDENCIES = $(LIB_KDEGAMES_DEP)
 
 picsdir = $(kde_datadir)/klines/
diff -Nurd kdegames-3.5.10/kolf/Makefile.am kdegames-3.5.10-new/kolf/Makefile.am
--- kdegames-3.5.10/kolf/Makefile.am	2005-09-10 04:18:11.000000000 -0400
+++ kdegames-3.5.10-new/kolf/Makefile.am	2010-07-24 20:00:42.000000000 -0400
@@ -12,7 +12,7 @@
 	floater.cpp slope.cpp
 
 libkolf_la_LDFLAGS = $(all_libraries) -no-undefined -version-info 3:0:2
-libkolf_la_LIBADD = $(LIB_KDEGAMES) $(LIB_KDEPRINT) $(LIB_KIO) -lartskde
+libkolf_la_LIBADD = $(LIB_KDEGAMES) $(LIB_KDEPRINT) $(LIB_KIO) -lartskde $(LIB_ARTS) -lkdefx -lartsflow_idl -lmcop
 libkolf_la_DEPENDENCIES = $(LIB_KDEGAMES_DEP)
 
 
diff -Nurd kdegames-3.5.10/kpat/Makefile.am kdegames-3.5.10-new/kpat/Makefile.am
--- kdegames-3.5.10/kpat/Makefile.am	2005-09-10 04:18:32.000000000 -0400
+++ kdegames-3.5.10-new/kpat/Makefile.am	2010-07-24 20:12:06.000000000 -0400
@@ -10,7 +10,7 @@
 	gamestatsimpl.cpp \
 	gamestats.ui
 kpat_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kpat_LDADD = $(LIB_KFILE) $(LIB_KDEGAMES) ./freecell-solver/libfcs.la
+kpat_LDADD = $(LIB_KFILE) $(LIB_KDEGAMES) ./freecell-solver/libfcs.la -lkdefx
 kpat_DEPENDENCIES = $(LIB_KDEGAMES_DEP)
 
 METASOURCES = AUTO
diff -Nurd kdegames-3.5.10/ksokoban/Makefile.am kdegames-3.5.10-new/ksokoban/Makefile.am
--- kdegames-3.5.10/ksokoban/Makefile.am	2007-05-14 03:39:12.000000000 -0400
+++ kdegames-3.5.10-new/ksokoban/Makefile.am	2010-07-24 20:11:16.000000000 -0400
@@ -5,7 +5,7 @@
 bin_PROGRAMS = ksokoban
 ksokoban_SOURCES = Bookmark.cpp History.cpp HtmlPrinter.cpp ImageData.cpp InternalCollections.cpp LevelCollection.cpp LevelMap.cpp MainWindow.cpp Map.cpp MapDelta.cpp ModalLabel.cpp Move.cpp MoveSequence.cpp PathFinder.cpp PlayField.cpp StaticImage.cpp main.cpp
 ksokoban_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-ksokoban_LDADD = $(LIB_KIO)
+ksokoban_LDADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 noinst_HEADERS  = Bookmark.h History.h HtmlPrinter.h ImageData.h InternalCollections.h LevelCollection.h LevelMap.h MainWindow.h Map.h MapDelta.h ModalLabel.h Move.h MoveSequence.h PathFinder.h PlayField.h Queue.h StaticImage.h
 
diff -Nurd kdegames-3.5.10/libkdegames/Makefile.am kdegames-3.5.10-new/libkdegames/Makefile.am
--- kdegames-3.5.10/libkdegames/Makefile.am	2005-09-10 04:18:23.000000000 -0400
+++ kdegames-3.5.10-new/libkdegames/Makefile.am	2010-07-24 17:35:03.000000000 -0400
@@ -2,7 +2,7 @@
 lib_LTLIBRARIES = libkdegames.la
 libkdegames_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -no-undefined -version-info 3:0:2
 libkdegames_la_LIBADD  = highscore/libkhighscore.la kgame/libkgame.la kgame/dialogs/libkgamedialogs.la \
-		$(LIB_KSYCOCA) $(LIB_KDNSSD)
+		$(LIB_KSYCOCA) $(LIB_KDNSSD) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 libkdegames_la_SOURCES = kcarddialog.cpp kstdgameaction.cpp \
 		kgamemisc.cpp kchatbase.cpp kchat.cpp \
diff -Nurd kdegames-3.5.10/lskat/lskatproc/Makefile.am kdegames-3.5.10-new/lskat/lskatproc/Makefile.am
--- kdegames-3.5.10/lskat/lskatproc/Makefile.am	2005-09-10 04:18:26.000000000 -0400
+++ kdegames-3.5.10-new/lskat/lskatproc/Makefile.am	2010-07-24 20:09:55.000000000 -0400
@@ -2,7 +2,7 @@
 
 lskatproc_SOURCES = lskatproc.cpp KChildConnect.cpp KInputChildProcess.cpp KEMessage.cpp KMessageEntry.cpp main.cpp 
 
-lskatproc_LDADD   = $(LIB_KFILE)
+lskatproc_LDADD   = $(LIB_KFILE) $(LIB_QT)
 
 # set the include path for X, qt and KDE
 INCLUDES= $(all_includes)