diff -Nurd kdewebdev-3.5.10/kfilereplace/Makefile.am kdewebdev-3.5.10-new/kfilereplace/Makefile.am
--- kdewebdev-3.5.10/kfilereplace/Makefile.am	2007-05-14 03:54:02.000000000 -0400
+++ kdewebdev-3.5.10-new/kfilereplace/Makefile.am	2010-07-26 05:11:49.000000000 -0400
@@ -22,7 +22,7 @@
 	commandengine.cpp configurationclasses.cpp
 				  
 libkfilereplacepart_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-libkfilereplacepart_la_LIBADD = $(LIB_KFILE) $(LIB_KPARTS) $(LIB_KHTML)
+libkfilereplacepart_la_LIBADD = $(LIB_KFILE) $(LIB_KPARTS) $(LIB_KHTML) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 
 messages: rc.cpp
 	$(XGETTEXT) *.cpp *.h -o $(podir)/kfilereplace.pot
@@ -39,5 +39,5 @@
 shellrc_DATA = kfilereplaceui.rc
 bin_PROGRAMS = kfilereplace
 kfilereplace_LDFLAGS = $(KDE_RPATH) $(all_libraries)
-kfilereplace_LDADD = $(LIB_KPARTS)
+kfilereplace_LDADD = $(LIB_KPARTS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 kfilereplace_SOURCES = kfilereplace.cpp main.cpp
diff -Nurd kdewebdev-3.5.10/kimagemapeditor/Makefile.am kdewebdev-3.5.10-new/kimagemapeditor/Makefile.am
--- kdewebdev-3.5.10/kimagemapeditor/Makefile.am	2005-09-10 04:23:17.000000000 -0400
+++ kdewebdev-3.5.10-new/kimagemapeditor/Makefile.am	2010-07-26 05:08:38.000000000 -0400
@@ -39,10 +39,10 @@
 
 
 libkimagemapeditor_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-libkimagemapeditor_la_LIBADD = libkimagemapeditorcommon.la $(LIB_KFILE) $(LIB_KPARTS) $(LIB_KHTML)
+libkimagemapeditor_la_LIBADD = libkimagemapeditorcommon.la $(LIB_KFILE) $(LIB_KPARTS) $(LIB_KHTML) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 kimagemapeditor_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kimagemapeditor_LDADD = libkimagemapeditorcommon.la $(LIB_KFILE) $(LIB_KPARTS) $(LIB_KHTML)
+kimagemapeditor_LDADD = libkimagemapeditorcommon.la $(LIB_KFILE) $(LIB_KPARTS) $(LIB_KHTML) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 
 # set the include path for X, qt and KDE
 INCLUDES= $(all_includes)
diff -Nurd kdewebdev-3.5.10/klinkstatus/src/Makefile.am kdewebdev-3.5.10-new/klinkstatus/src/Makefile.am
--- kdewebdev-3.5.10/klinkstatus/src/Makefile.am	2006-10-01 13:29:42.000000000 -0400
+++ kdewebdev-3.5.10-new/klinkstatus/src/Makefile.am	2010-07-26 05:05:49.000000000 -0400
@@ -18,7 +18,7 @@
 # the application source, library search path, and link libraries
 
 klinkstatus_LDFLAGS = $(KDE_RPATH) $(all_libraries)
-klinkstatus_LDADD   = $(LIB_KPARTS)
+klinkstatus_LDADD   = $(LIB_KPARTS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 xdg_apps_DATA = klinkstatus.desktop
 
@@ -37,7 +37,7 @@
 libklinkstatuspart_la_LDFLAGS = -module -no-undefined $(KDE_PLUGIN) $(all_libraries)
 libklinkstatuspart_la_LIBADD = ui/settings/libsettings.la \
 	ui/libui.la engine/libengine.la \
-	parser/libparser.la utils/libutils.la $(LIB_KPARTS) $(LIB_KFILE)
+	parser/libparser.la utils/libutils.la $(LIB_KPARTS) $(LIB_KFILE) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 
 # this is where the desktop file will go 
 partdesktopdir = $(kde_servicesdir)
diff -Nurd kdewebdev-3.5.10/kommander/editor/Makefile.am kdewebdev-3.5.10-new/kommander/editor/Makefile.am
--- kdewebdev-3.5.10/kommander/editor/Makefile.am	2008-02-13 04:39:07.000000000 -0500
+++ kdewebdev-3.5.10-new/kommander/editor/Makefile.am	2010-07-26 05:03:14.000000000 -0400
@@ -13,7 +13,7 @@
 kmdr_editor_LDADD = $(top_builddir)/kommander/factory/libkommanderfactory.la \
 	$(top_builddir)/kommander/widget/libkommanderwidget.la \
 	$(top_builddir)/kommander/widgets/libkommanderwidgets.la \
-	$(top_builddir)/kommander/plugin/libkommanderplugin.la -lktexteditor
+	$(top_builddir)/kommander/plugin/libkommanderplugin.la -lktexteditor $(LIB_KPARTS)
 
 # which sources should be compiled for kmdr_editor
 kmdr_editor_SOURCES = actiondnd.cpp actioneditorimpl.cpp \
diff -Nurd kdewebdev-3.5.10/kommander/plugin/Makefile.am kdewebdev-3.5.10-new/kommander/plugin/Makefile.am
--- kdewebdev-3.5.10/kommander/plugin/Makefile.am	2008-02-13 04:39:07.000000000 -0500
+++ kdewebdev-3.5.10-new/kommander/plugin/Makefile.am	2010-07-26 03:45:31.000000000 -0400
@@ -7,7 +7,7 @@
 libkommanderplugin_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) -no-undefined
 
 # the libraries to link against.
-libkommanderplugin_la_LIBADD  =  $(LIB_KDEUI) $(LIB_QT)
+libkommanderplugin_la_LIBADD  =  $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 libkommanderplugin_la_SOURCES = kommanderplugin.cpp specialinformation.cpp
 
diff -Nurd kdewebdev-3.5.10/kommander/widget/Makefile.am kdewebdev-3.5.10-new/kommander/widget/Makefile.am
--- kdewebdev-3.5.10/kommander/widget/Makefile.am	2008-08-19 14:15:10.000000000 -0400
+++ kdewebdev-3.5.10-new/kommander/widget/Makefile.am	2010-07-26 03:47:03.000000000 -0400
@@ -7,7 +7,7 @@
 libkommanderwidget_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) -no-undefined
 
 # the libraries to link against.
-libkommanderwidget_la_LIBADD  = $(top_builddir)/kommander/factory/libkommanderfactory.la $(LIB_KIO) $(LIB_KDEUI) $(LIB_QT)
+libkommanderwidget_la_LIBADD  = $(top_builddir)/kommander/factory/libkommanderfactory.la $(LIB_KIO) $(LIB_KDEUI) $(LIB_QT) -lDCOP
 
 libkommanderwidget_la_SOURCES = expression.cpp function.cpp functionlib.cpp \
 	invokeclass.cpp kmdrmainwindow.cpp kommanderfunctions.cpp kommanderwidget.cpp \
diff -Nurd kdewebdev-3.5.10/kxsldbg/Makefile.am kdewebdev-3.5.10-new/kxsldbg/Makefile.am
--- kdewebdev-3.5.10/kxsldbg/Makefile.am	2005-09-10 04:23:17.000000000 -0400
+++ kdewebdev-3.5.10-new/kxsldbg/Makefile.am	2010-07-26 04:59:41.000000000 -0400
@@ -3,7 +3,7 @@
 kxsldbg_SOURCES = kxsldbg.cpp main.cpp kxsldbgif.skel
 noinst_HEADERS = kxsldbg.h
 kxsldbg_DEPENDENCIES  = ./kxsldbgpart/libqtnotfier/libqtnotfier.la ./kxsldbgpart/libkxsldbgcommon.la ./kxsldbgpart/libxsldbg/libxsldbg.la 
-kxsldbg_LDADD   = ./kxsldbgpart/libqtnotfier/libqtnotfier.la ./kxsldbgpart/libkxsldbgcommon.la ./kxsldbgpart/libxsldbg/libxsldbg.la  $(LIB_KDEUI) $(LIBXSLT_LIBS) $(LIBXML_LIBS) $(LIB_KPARTS)
+kxsldbg_LDADD   = ./kxsldbgpart/libqtnotfier/libqtnotfier.la ./kxsldbgpart/libkxsldbgcommon.la ./kxsldbgpart/libxsldbg/libxsldbg.la  $(LIB_KDEUI) $(LIBXSLT_LIBS) $(LIBXML_LIBS) $(LIB_KPARTS) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 SUBDIRS = kxsldbgpart
 
@@ -18,7 +18,7 @@
 xsldbg_DEPENDENCIES  = kxsldbgpart/libxsldbg/libxsldbg.la
 
 # use of configure defined libraries
-xsldbg_LDADD = kxsldbgpart/libxsldbg/libxsldbg.la $(LIBXSLT_LIBS) $(LIBXML_LIBS) $(LIB_KDEUI)
+xsldbg_LDADD = kxsldbgpart/libxsldbg/libxsldbg.la $(LIBXSLT_LIBS) $(LIBXML_LIBS) $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 #
 # the library search path.
 xsldbg_LDFLAGS = $(all_libraries) $(XSLDBG_EXTRA_LIBS)
diff -Nurd kdewebdev-3.5.10/kxsldbg/kxsldbgpart/Makefile.am kdewebdev-3.5.10-new/kxsldbg/kxsldbgpart/Makefile.am
--- kdewebdev-3.5.10/kxsldbg/kxsldbgpart/Makefile.am	2005-09-10 04:23:16.000000000 -0400
+++ kdewebdev-3.5.10-new/kxsldbg/kxsldbgpart/Makefile.am	2010-07-26 05:02:02.000000000 -0400
@@ -16,7 +16,7 @@
 
 
 libkxsldbgpart_la_LDFLAGS = -module $(KDE_PLUGIN) -lkatepartinterfaces $(all_libraries)  $(XSLDBG_EXTRA_LIBS)
-libkxsldbgpart_la_LIBADD  =  libkxsldbgcommon.la $(LIB_KPARTS)
+libkxsldbgpart_la_LIBADD  =  libkxsldbgcommon.la $(LIB_KPARTS) $(LIB_QT) $(LIB_KDECORE) -lDCOP $(LIB_KDEUI) $(LIB_KIO) -lktexteditor
 
 
 # this is where the desktop file will go
diff -Nurd kdewebdev-3.5.10/quanta/components/debugger/dbgp/Makefile.am kdewebdev-3.5.10-new/quanta/components/debugger/dbgp/Makefile.am
--- kdewebdev-3.5.10/quanta/components/debugger/dbgp/Makefile.am	2005-09-10 04:22:57.000000000 -0400
+++ kdewebdev-3.5.10-new/quanta/components/debugger/dbgp/Makefile.am	2010-07-26 04:19:05.000000000 -0400
@@ -5,7 +5,7 @@
 quantadebuggerdbgp_la_SOURCES = quantadebuggerdbgp.cpp dbgpsettingss.ui \
 	dbgpsettings.cpp dbgpnetwork.cpp qbytearrayfifo.cpp
 quantadebuggerdbgp_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-quantadebuggerdbgp_la_LIBADD = ../interfaces/libdebuggerinterface.la $(LIB_KPARTS)
+quantadebuggerdbgp_la_LIBADD = ../interfaces/libdebuggerinterface.la $(LIB_KPARTS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KIO) $(LIB_KDEUI)
 kde_services_DATA =  quantadebuggerdbgp.desktop
 
 INCLUDES = -I$(top_srcdir)/quanta/components/debugger \
diff -Nurd kdewebdev-3.5.10/quanta/components/debugger/gubed/Makefile.am kdewebdev-3.5.10-new/quanta/components/debugger/gubed/Makefile.am
--- kdewebdev-3.5.10/quanta/components/debugger/gubed/Makefile.am	2005-09-10 04:22:56.000000000 -0400
+++ kdewebdev-3.5.10-new/quanta/components/debugger/gubed/Makefile.am	2010-07-26 04:12:26.000000000 -0400
@@ -4,7 +4,7 @@
 
 quantadebuggergubed_la_SOURCES = gubedsettingss.ui quantadebuggergubed.cpp  gubedsettings.cpp
 quantadebuggergubed_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-quantadebuggergubed_la_LIBADD = ../interfaces/libdebuggerinterface.la $(LIB_KPARTS)
+quantadebuggergubed_la_LIBADD = ../interfaces/libdebuggerinterface.la $(LIB_KPARTS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 kde_services_DATA =  quantadebuggergubed.desktop
 
 INCLUDES =  -I$(top_srcdir)/quanta/components/debugger \
diff -Nurd kdewebdev-3.5.10/quanta/src/Makefile.am kdewebdev-3.5.10-new/quanta/src/Makefile.am
--- kdewebdev-3.5.10/quanta/src/Makefile.am	2005-09-10 04:23:00.000000000 -0400
+++ kdewebdev-3.5.10-new/quanta/src/Makefile.am	2010-07-26 04:57:32.000000000 -0400
@@ -30,7 +30,7 @@
 	$(top_builddir)/quanta/utility/libutility.la \
 	$(top_builddir)/lib/libquantamodule.la \
 	-lkatepartinterfaces $(LIB_KNEWSTUFF) $(LIB_KAFKA) $(LIB_CVSSERVICE)  \
-	$(LIB_KMDI) $(LIBXML_LIBS) $(LIBXSLT_LIBS) $(LIB_KABC) $(LIB_KSPELL) $(LIB_KHTML)
+	$(LIB_KMDI) $(LIBXML_LIBS) $(LIBXSLT_LIBS) $(LIB_KABC) $(LIB_KSPELL) $(LIB_KHTML) $(LIB_QT) $(LIB_KDECORE) $(LIB_KIO) $(LIB_KDEUI) $(LIB_KPARTS) -lDCOP -lktexteditor -lkdefx
 #       $(top_builddir)/lib/compatibility/libcompat.la
 
 AM_CPPFLAGS = -I$(top_srcdir)/quanta/dialogs \